<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="66c45346-4ce0-47b1-b175-96e246854968" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>instantiateItem</find>
      <find>pul</find>
      <find>setPrimaryItem</find>
      <find>startUpdate</find>
      <find>mOffscreenPageLimit</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/fragment/BaseFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/MainActivity.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/DFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/EFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/AFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/BFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/CFragment.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/BaseFragment.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="1">
    <option name="x" value="7" />
    <option name="width" value="1679" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_6_11" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_6_11" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="app" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="mn_2020_6_11" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_2020_6_11\app\src\main\java\com\maniu\mn_2020_6_11" />
      <recent name="F:\MN_Android\MN_2020_6_11\app\src\main\res\layout" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="66c45346-4ce0-47b1-b175-96e246854968" name="Default Changelist" comment="" />
      <created>1591874161672</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1591874161672</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="7" y="0" width="1679" height="1040" extended-state="1" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" visible="true" weight="0.22277535" />
      <window_info id="Structure" side_tool="true" />
      <window_info id="Build Variants" side_tool="true" />
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="Resources Explorer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Run" />
      <window_info anchor="bottom" id="Logcat" visible="true" weight="0.17924528" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="TODO" />
      <window_info anchor="bottom" id="Debug" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" side_tool="true" />
      <window_info anchor="bottom" id="Build" weight="0.1639151" />
      <window_info anchor="bottom" id="Android Profiler" />
      <window_info anchor="right" id="Device File Explorer" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Flutter Inspector" />
      <window_info anchor="right" id="Preview" />
      <window_info anchor="right" id="Flutter Outline" />
      <window_info anchor="right" id="Palette&#9;" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/2b0dfa7f49c65c2b2e32ecb3face35c3/jars/classes.jar!/android/support/v4/view/PagerAdapter.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="31" column="18" selection-start-line="31" selection-start-column="18" selection-end-line="31" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/2b0dfa7f49c65c2b2e32ecb3face35c3/jars/classes.jar!/android/support/v4/view/ViewPager.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="98" column="16" selection-start-line="98" selection-start-column="16" selection-end-line="98" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1125">
          <caret line="9" column="35" lean-forward="true" selection-start-line="9" selection-start-column="35" selection-end-line="9" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/fragment_item.xml">
      <provider editor-type-id="android-designer2" />
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/fragment/BaseFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="11" column="8" selection-start-line="11" selection-start-column="8" selection-end-line="11" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="18" column="5" lean-forward="true" selection-start-line="18" selection-start-column="5" selection-end-line="18" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.gradle/caches/transforms-2/files-2.1/a950acd2a26deb9b35cfa55a1f85c0ab/jars/classes.jar!/android/support/v4/app/FragmentPagerAdapter.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="236">
          <caret line="24" column="29" selection-start-line="24" selection-start-column="29" selection-end-line="24" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/MainAdapter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-57">
          <caret line="9" column="42" selection-start-line="9" selection-start-column="42" selection-end-line="9" selection-end-column="42" />
          <folding>
            <element signature="e#559#560#0" expanded="true" />
            <element signature="e#626#627#0" expanded="true" />
            <element signature="e#685#686#0" expanded="true" />
            <element signature="e#734#735#0" expanded="true" />
            <element signature="e#802#803#0" expanded="true" />
            <element signature="e#848#849#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="97">
          <caret line="19" column="25" selection-start-line="19" selection-start-column="25" selection-end-line="19" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#3143#3144#0" expanded="true" />
            <element signature="e#3183#3184#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/EFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="21" column="32" selection-start-line="21" selection-start-column="32" selection-end-line="21" selection-end-column="32" />
          <folding>
            <element signature="e#513#514#0" expanded="true" />
            <element signature="e#558#559#0" expanded="true" />
            <element signature="e#605#606#0" expanded="true" />
            <element signature="e#653#654#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/AFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="31">
          <caret line="7" column="22" selection-start-line="7" selection-start-column="22" selection-end-line="7" selection-end-column="22" />
          <folding>
            <element signature="e#186#187#0" expanded="true" />
            <element signature="e#231#232#0" expanded="true" />
            <element signature="e#719#720#0" expanded="true" />
            <element signature="e#750#751#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/BFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="27" column="33" selection-start-line="27" selection-start-column="8" selection-end-line="27" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/CFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="27" column="27" selection-start-line="27" selection-start-column="19" selection-end-line="27" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/BaseFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="20" column="20" selection-start-line="20" selection-start-column="20" selection-end-line="20" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_6_11/DFragment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="600">
          <caret line="27" column="58" selection-start-line="27" selection-start-column="58" selection-end-line="27" selection-end-column="58" />
          <folding>
            <element signature="e#605#606#0" expanded="true" />
            <element signature="e#653#654#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>